import * as React from 'react';
export interface IButtonProps {
    children?: React.ReactNode;
    className?: string;
    disabled?: boolean;
    style?: React.CSSProperties;
    shape?: 'circle' | 'round';
    size?: 'small' | 'large';
    icon?: string;
    type?: 'default' | 'primary' | 'warning' | 'error' | 'success';
    onClick?(evt: React.MouseEvent<HTMLButtonElement>): void;
}
export declare class Button extends React.Component<IButtonProps> {
    static defaultProps: Partial<IButtonProps>;
    render(): React.ReactNode;
}
