"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var utils_1 = require("../utils");
var Icon_1 = require("../Icon");
var prefixCls = utils_1.getPrefixCls('button');
var Button = /** @class */ (function (_super) {
    __extends(Button, _super);
    function Button() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Button.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, onClick = _b.onClick, type = _b.type, icon = _b.icon, className = _b.className, style = _b.style, disabled = _b.disabled, shape = _b.shape, size = _b.size;
        var buttonCls = utils_1.classNames(prefixCls, className, (_a = {},
            _a[prefixCls + "-" + type] = !disabled,
            _a[prefixCls + "-disabled"] = disabled,
            _a[prefixCls + "-" + shape] = !!shape,
            _a[prefixCls + "-" + size] = !!size,
            _a));
        return (React.createElement("button", { className: buttonCls, onClick: onClick, style: style, type: "button", disabled: disabled },
            icon && React.createElement(Icon_1.Icon, { type: icon }),
            React.createElement("span", null, children)));
    };
    Button.defaultProps = {
        type: 'default'
    };
    return Button;
}(React.Component));
exports.Button = Button;
