"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var Message_1 = require("./Message");
function confirm(props) {
    return next(props);
}
function next(_a) {
    var _b = _a.title, title = _b === void 0 ? '提示' : _b, _c = _a.message, message = _c === void 0 ? '确定' : _c;
    return new Promise(function (resolve, reject) {
        var div = document.createElement('div');
        var component = React.createElement(Message_1.Message, {
            onCancel: function () {
                ReactDOM.unmountComponentAtNode(div);
                div = undefined;
            },
            promise: {
                reject: reject,
                resolve: resolve
            },
            title: title
        }, message);
        ReactDOM.render(component, div);
    });
}
exports.Message = {
    confirm: confirm
};
