"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var utils_1 = require("../utils");
var prefixCls = utils_1.getPrefixCls('switch');
var Switch = /** @class */ (function (_super) {
    __extends(Switch, _super);
    function Switch() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Switch.prototype.handleClick = function () {
        var _a = this.props, checked = _a.checked, onChange = _a.onChange;
        if (onChange) {
            onChange(!checked);
        }
    };
    Switch.prototype.render = function () {
        var _a;
        var _b = this.props, checked = _b.checked, className = _b.className;
        var switchCls = utils_1.classNames(prefixCls, className, (_a = {},
            _a[prefixCls + "-checked"] = checked,
            _a));
        return (React.createElement("button", { className: switchCls, onClick: this.handleClick.bind(this), type: "button" },
            React.createElement("span", { className: prefixCls + "-inner" })));
    };
    return Switch;
}(React.Component));
exports.Switch = Switch;
