import * as React from 'react';
export interface ITabsProps {
    children?: React.ReactNode;
    gutter: number;
    defaultValue?: string | number;
    onChange?(data: object | string | number): void;
}
interface ITabItem {
    tab: React.ReactNode;
    value?: string | number;
    index: number;
}
interface IState {
    active: number;
    barStyle: object;
    contentStyle: object;
    list: ITabItem[];
    isAnimate: boolean;
}
export declare class Tabs extends React.Component<ITabsProps, IState> {
    refHeader: React.RefObject<HTMLUListElement>;
    refScroll: React.RefObject<HTMLDivElement>;
    private list;
    state: {
        active: number;
        barStyle: {};
        contentStyle: {};
        isAnimate: boolean;
        list: never[];
    };
    static defaultProps: Partial<ITabsProps>;
    static TabPane: (props: import("./TabPane").ITabPaneProps) => JSX.Element;
    private handleItemClick;
    private getTabPane;
    private updateBarStyle;
    private updateContentStyle;
    render(): React.ReactNode;
}
export {};
