"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var utils_1 = require("../utils");
var Icon_1 = require("../Icon");
var prefixCls = utils_1.getPrefixCls('tag');
var Tag = /** @class */ (function (_super) {
    __extends(Tag, _super);
    function Tag() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Tag.prototype.render = function () {
        var _a;
        var _b = this.props, children = _b.children, className = _b.className, closable = _b.closable, style = _b.style, visible = _b.visible;
        var tagCls = utils_1.classNames(prefixCls, className, (_a = {},
            _a[prefixCls + "-hide"] = !visible,
            _a));
        return (React.createElement("div", { className: tagCls, style: style },
            React.createElement("span", { className: prefixCls + "-text" }, children),
            closable ? React.createElement(Icon_1.Icon, { type: "close" }) : undefined));
    };
    Tag.defaultProps = {
        visible: true
    };
    return Tag;
}(React.Component));
exports.Tag = Tag;
