import * as React from 'react';
export interface ICarouselProps {
    children?: React.ReactNode;
    className?: string;
    defaultValue?: string | number;
    onChange?(data: object | string | number): void;
}
interface ISlideItem {
    value?: string | number;
    index: number;
}
interface IState {
    activeIndex: number;
    contentStyle: object;
    slideList: ISlideItem[];
    isAnimate: boolean;
}
export declare class Carousel extends React.Component<ICarouselProps, IState> {
    refScroll: React.RefObject<HTMLDivElement>;
    private slideList;
    private slideInterval;
    state: {
        activeIndex: number;
        contentStyle: {};
        isAnimate: boolean;
        slideList: never[];
    };
    static Slide: (props: import("./Slide").ISlideProps) => JSX.Element;
    private getSlide;
    private handleIndicatorItemClick;
    private renderIndicator;
    private renderBtn;
    private updateContentStyle;
    private slidePrev;
    private slideNext;
    private slideStart;
    private slideStop;
    componentDidMount(): void;
    render(): React.ReactNode;
}
export {};
