import * as React from 'react';
export interface IInputProps {
    className?: string;
    name?: string;
    placeholder?: string;
    style?: React.CSSProperties;
    type?: string;
    value?: string | number;
    onChange?(evt: React.ChangeEvent<HTMLInputElement>): void;
}
export declare class Input extends React.Component<IInputProps> {
    static defaultProps: Partial<IInputProps>;
    render(): React.ReactNode;
}
