"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Button_1 = require("../Button");
var Modal_1 = require("../Modal");
var Message = /** @class */ (function (_super) {
    __extends(Message, _super);
    function Message() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.ref = React.createRef();
        _this.state = {
            visible: false
        };
        return _this;
    }
    Message.prototype.handleFooterClick = function (action) {
        var _a = this.props, _b = _a.promise, resolve = _b.resolve, reject = _b.reject, onCancel = _a.onCancel;
        if (onCancel && this.ref.current) {
            this.ref.current.handleOnCancel();
        }
        if (action === 'cancel' && reject) {
            reject();
        }
        else if (action === 'confirm' && resolve) {
            resolve();
        }
    };
    Message.prototype.componentDidMount = function () {
        this.setState({
            visible: true
        });
    };
    Message.prototype.render = function () {
        var _a = this.props, children = _a.children, title = _a.title, onCancel = _a.onCancel;
        var visible = this.state.visible;
        return (React.createElement(Modal_1.Modal, { ref: this.ref, title: title, visible: visible, footer: React.createElement(React.Fragment, null,
                React.createElement(Button_1.Button, { onClick: this.handleFooterClick.bind(this, 'cancel') }, "Cancel"),
                React.createElement("span", { className: "b-s" }),
                React.createElement(Button_1.Button, { type: "primary", onClick: this.handleFooterClick.bind(this, 'confirm') }, "Ok")), onCancel: onCancel }, children));
    };
    return Message;
}(React.Component));
exports.Message = Message;
