import * as React from 'react';
export interface IModalProps {
    title?: string;
    type?: string;
    visible?: boolean;
    footer?: React.ReactNode;
    onCancel?(): void;
    onOk?(): void;
}
interface IState {
    entered: boolean;
}
export declare class Modal extends React.Component<IModalProps, IState> {
    static defaultProps: Partial<IModalProps>;
    state: {
        entered: boolean;
    };
    private handleModalClick;
    componentWillReceiveProps(nextProps: IModalProps): void;
    handleOnCancel(): Promise<void>;
    render(): React.ReactNode;
}
export {};
