import * as React from 'react';
import { IOptionValue } from './context';
export interface ISelectProps {
    value?: string | number;
    children?: React.ReactNode;
    className?: string;
    disabled?: boolean;
    style?: React.CSSProperties;
    onChange?(value: string | number): void;
}
interface IState {
    active: boolean;
    value: IOptionValue;
}
export declare class Select extends React.Component<ISelectProps, IState> {
    private refList;
    private eventOutSideClick;
    state: {
        active: boolean;
        value: {
            children: undefined;
            value: string | number | undefined;
        };
    };
    static Option: (props: import("./Option").IOptionProps) => JSX.Element;
    private handleInputClick;
    private getOptionValue;
    private handleOutSideClick;
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
export {};
