"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Body = /** @class */ (function (_super) {
    __extends(Body, _super);
    function Body() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Body.prototype.renderRow = function (data, i) {
        var columns = this.props.columns;
        return (React.createElement("tr", { key: i }, columns.map(function (obj, oi) {
            var dataIndex = obj.dataIndex, render = obj.render;
            if (dataIndex) {
                return React.createElement("td", { key: oi }, data[dataIndex]);
            }
            if (render) {
                return React.createElement("td", { key: oi }, render(data));
            }
            return React.createElement("td", { key: oi });
        })));
    };
    Body.prototype.render = function () {
        var _a = this.props.data, data = _a === void 0 ? [] : _a;
        return React.createElement("tbody", null, data.map(this.renderRow.bind(this)));
    };
    return Body;
}(React.Component));
exports.Body = Body;
