import * as React from 'react';
interface IUploadProps {
    className?: string;
    style?: React.CSSProperties;
    files?: object[];
    multiple?: boolean;
    onChange?(evt: React.ChangeEvent<HTMLInputElement>): void;
}
interface IState {
    files: object[];
}
export declare class Upload extends React.Component<IUploadProps, IState> {
    static defaultProps: Partial<IUploadProps>;
    inputRef: React.RefObject<HTMLInputElement>;
    state: {
        files: never[];
    };
    handleButtonClick(): void;
    handleInputChange(evt: React.ChangeEvent<HTMLInputElement>): void;
    handleRemove(i: number): void;
    render(): React.ReactNode;
}
export {};
