"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function classNames() {
    var items = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        items[_i] = arguments[_i];
    }
    var str = '';
    (function iterator(arr) {
        arr.forEach(function (v) {
            if (Array.isArray(v)) {
                iterator(v);
            }
            else if (v instanceof Object) {
                Object.keys(v).forEach(function (key) {
                    var val = v[key];
                    if (val) {
                        str += " " + key;
                    }
                });
            }
            else if (v) {
                str += " " + v;
            }
        });
    })(items);
    return str.trim();
}
exports.classNames = classNames;
